# config.mk.  Generated from config.mk.in by configure.
###############################################################################
# BRLTTY - A background process providing access to the console screen (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2018 by The BRLTTY Developers.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU Lesser General Public License, as published by the Free Software
# Foundation; either version 2.1 of the License, or (at your option) any
# later version. Please see the file LICENSE-LGPL for details.
#
# Web Page: http://brltty.com/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################



BUILD_ALIAS = 
BUILD_SYSTEM = x86_64-unknown-linux-gnu
BUILD_CPU = x86_64
BUILD_VENDOR = unknown
BUILD_OS = linux-gnu

HOST_ALIAS = 
HOST_SYSTEM = x86_64-unknown-linux-gnu
HOST_CPU = x86_64
HOST_VENDOR = unknown
HOST_OS = linux-gnu

TARGET_ALIAS = 
TARGET_SYSTEM = x86_64-unknown-linux-gnu
TARGET_CPU = x86_64
TARGET_VENDOR = unknown
TARGET_OS = linux-gnu

O = o
X = 

PACKAGE_TARNAME = brltty
PACKAGE_NAME = BRLTTY
PACKAGE_VERSION = 5.6
PACKAGE_STRING = BRLTTY 5.6
PACKAGE_URL = http://brltty.com/
PACKAGE_BUGREPORT = brltty@brltty.com

PGM_DIR = Programs
HDR_DIR = Headers
DOC_DIR = Documents
MSG_DIR = Messages
TBL_DIR = Tables
BRL_DIR = Drivers/Braille
SPK_DIR = Drivers/Speech
SCR_DIR = Drivers/Screen
DRV_DIR = lib
BND_DIR = Bindings
API_LIBS = -L$(BLD_TOP)$(PGM_DIR) -lbrlapi

INSTALL_ROOT = 
EXECUTE_ROOT = 

X11_PACKAGE = 
X11_INCLUDES = 
X11_LIBS = 

XEXT_PACKAGE = 
XEXT_INCLUDES = 
XEXT_LIBS = 

XTST_PACKAGE = 
XTST_INCLUDES = 
XTST_LIBS = 

XT_PACKAGE = 
XT_INCLUDES = 
XT_LIBS = 

XKB_LIBS = 
XTK_LIBS = 

CURSES_PACKAGE = ncursesw
CURSES_LIBS = -ltinfo -lncursesw 

GUI_TOOLKIT_PACKAGE = 

CSPI_PACKAGE = 
CSPI_INCLUDES = 
CSPI_LIBS = 

ATSPI2_PACKAGE = 
ATSPI2_INCLUDES = 
ATSPI2_LIBS = 

GLIB2_PACKAGE = 
GLIB2_INCLUDES = 
GLIB2_LIBS = 

DBUS_PACKAGE = dbus-1
DBUS_INCLUDES = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include
DBUS_LIBS = -ldbus-1

POLKIT_PACKAGE = polkit-gobject-1
POLKIT_INCLUDES = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
POLKIT_LIBS = -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0

LOUIS_INCLUDES = 
LOUIS_LIBS = ""

ICU_INCLUDES = 
ICU_LIBS = -licuuc -licudata

PGMPATH_PACKAGE = linux
PGMPATH_OBJECT = pgmpath_$(PGMPATH_PACKAGE)
PGMPATH_OBJECTS = $(PGMPATH_OBJECT).$O
PGMPATH_INCLUDES = 
PGMPATH_LIBS = 

SERVICE_PACKAGE = none
SERVICE_OBJECT = service_$(SERVICE_PACKAGE)
SERVICE_OBJECTS = $(SERVICE_OBJECT).$O
SERVICE_INCLUDES = 
SERVICE_LIBS = 

PARAMS_PACKAGE = linux
PARAMS_OBJECT = params_$(PARAMS_PACKAGE)
PARAMS_OBJECTS = $(PARAMS_OBJECT).$O
PARAMS_INCLUDES = 
PARAMS_LIBS = 

DYNLD_PACKAGE = dlfcn
DYNLD_OBJECT = dynld_$(DYNLD_PACKAGE)
DYNLD_OBJECTS = $(DYNLD_OBJECT).$O
DYNLD_INCLUDES = 
DYNLD_LIBS = 

CHARSET_PACKAGE = iconv
CHARSET_OBJECT = charset_$(CHARSET_PACKAGE)
CHARSET_OBJECTS = charset.$O $(CHARSET_OBJECT).$O
CHARSET_INCLUDES = 
CHARSET_LIBS = 

HOSTCMD_PACKAGE = unix
HOSTCMD_OBJECT = hostcmd_$(HOSTCMD_PACKAGE)
HOSTCMD_OBJECTS = hostcmd.$O $(HOSTCMD_OBJECT).$O
HOSTCMD_INCLUDES = 
HOSTCMD_LIBS = 

MNTPT_PACKAGE = mntent
MNTPT_OBJECT = mntpt_$(MNTPT_PACKAGE)
MNTPT_OBJECTS = mntpt.$O $(MNTPT_OBJECT).$O
MNTPT_INCLUDES = 
MNTPT_LIBS = 

MNTFS_PACKAGE = linux
MNTFS_OBJECT = mntfs_$(MNTFS_PACKAGE)
MNTFS_OBJECTS = $(MNTFS_OBJECT).$O
MNTFS_INCLUDES = 
MNTFS_LIBS = 

KBD_PACKAGE = linux
KBD_OBJECT = kbd_$(KBD_PACKAGE)
KBD_OBJECTS = kbd.$O $(KBD_OBJECT).$O
KBD_INCLUDES = 
KBD_LIBS = 

BELL_PACKAGE = linux
BELL_OBJECT = bell_$(BELL_PACKAGE)
BELL_OBJECTS = bell.$O $(BELL_OBJECT).$O
BELL_INCLUDES = 
BELL_LIBS = 

LEDS_PACKAGE = linux
LEDS_OBJECT = leds_$(LEDS_PACKAGE)
LEDS_OBJECTS = leds.$O $(LEDS_OBJECT).$O
LEDS_INCLUDES = 
LEDS_LIBS = 

BEEP_PACKAGE = linux
BEEP_OBJECT = beep_$(BEEP_PACKAGE)
BEEP_OBJECTS = notes_beep.$O beep.$O $(BEEP_OBJECT).$O
BEEP_INCLUDES = 
BEEP_LIBS = 

PCM_PACKAGE = alsa
PCM_OBJECT = pcm_$(PCM_PACKAGE)
PCM_OBJECTS = notes_pcm.$O pcm.$O $(PCM_OBJECT).$O
PCM_INCLUDES = -I/usr/include/alsa
PCM_LIBS = -lasound

MIDI_PACKAGE = alsa
MIDI_OBJECT = midi_$(MIDI_PACKAGE)
MIDI_OBJECTS = notes_midi.$O midi.$O $(MIDI_OBJECT).$O
MIDI_INCLUDES = -I/usr/include/alsa
MIDI_LIBS = -lasound

FM_PACKAGE = adlib
FM_OBJECT = fm_$(FM_PACKAGE)
FM_OBJECTS = notes_fm.$O $(FM_OBJECT).$O
FM_INCLUDES = 
FM_LIBS = 

SERIAL_PACKAGE = termios
SERIAL_OBJECT = serial_$(SERIAL_PACKAGE)
SERIAL_OBJECTS = gio_serial.$O serial.$O $(SERIAL_OBJECT).$O
SERIAL_INCLUDES = 
SERIAL_LIBS = 

USB_PACKAGE = linux
USB_OBJECT = usb_$(USB_PACKAGE)
USB_OBJECTS = gio_usb.$O usb.$O usb_hid.$O usb_serial.$O usb_adapters.$O usb_cdc_acm.$O usb_belkin.$O usb_cp2101.$O usb_cp2110.$O usb_ftdi.$O $(USB_OBJECT).$O
USB_INCLUDES = 
USB_LIBS = 

BLUETOOTH_PACKAGE = linux
BLUETOOTH_OBJECT = bluetooth_$(BLUETOOTH_PACKAGE)
BLUETOOTH_OBJECTS = gio_bluetooth.$O bluetooth.$O bluetooth_names.$O $(BLUETOOTH_OBJECT).$O
BLUETOOTH_INCLUDES = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include
BLUETOOTH_LIBS = -ldbus-1

PORTS_PACKAGE = glibc
PORTS_OBJECT = ports_$(PORTS_PACKAGE)
PORTS_OBJECTS = $(PORTS_OBJECT).$O
PORTS_INCLUDES = 
PORTS_LIBS = 

SYSTEM_PACKAGE = linux
SYSTEM_OBJECT = system_$(SYSTEM_PACKAGE)
SYSTEM_OBJECTS = $(SYSTEM_OBJECT).$O $(HOSTCMD_OBJECTS)
SYSTEM_INCLUDES = 
SYSTEM_LIBS = 

MOUNT_OBJECTS = $(MNTPT_OBJECTS) $(MNTFS_OBJECTS)
IO_OBJECTS = io_misc.$O gio.$O gio_null.$O $(SERIAL_OBJECTS) $(USB_OBJECTS) $(BLUETOOTH_OBJECTS) $(MOUNT_OBJECTS)
TUNE_OBJECTS = tune.$O notes.$O $(BEEP_OBJECTS) $(PCM_OBJECTS) $(MIDI_OBJECTS) $(FM_OBJECTS)
ASYNC_OBJECTS = async_handle.$O async_data.$O async_wait.$O async_alarm.$O async_task.$O async_io.$O async_event.$O async_signal.$O thread.$O
BASE_OBJECTS = log.$O log_history.$O addresses.$O file.$O device.$O parse.$O variables.$O datafile.$O unicode.$O $(CHARSET_OBJECTS) timing.$O $(ASYNC_OBJECTS) queue.$O lock.$O $(DYNLD_OBJECTS) $(PORTS_OBJECTS) $(SYSTEM_OBJECTS)
OPTIONS_OBJECTS = options.$O $(PARAMS_OBJECTS)
PROGRAM_OBJECTS = program.$O $(PGMPATH_OBJECTS) pid.$O $(OPTIONS_OBJECTS) $(BASE_OBJECTS)

CC = gcc
CPPFLAGS = -I$(BLD_DIR) -I$(SRC_DIR) -I$(BLD_TOP:/=)/$(PGM_DIR) -I$(SRC_TOP:/=)/$(PGM_DIR) -I$(SRC_TOP:/=)/$(HDR_DIR) -I$(BLD_TOP:/=) -I$(SRC_TOP:/=)   -D_DEFAULT_SOURCE -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE -D_XOPEN_SOURCE=500 -D_XOPEN_SOURCE_EXTENDED -D_GNU_SOURCE -DHAVE_CONFIG_H
CFLAGS = $(CPPFLAGS) -g -O2 -std=gnu99 -Wall -Werror=format-security
LIBCFLAGS = $(CFLAGS) -fPIC

CXX = gcc
CXXFLAGS = $(CPPFLAGS) -g -O2 -std=gnu99 -Wall -Werror=format-security
LIBCXXFLAGS = $(CXXFLAGS) -fPIC

LD = /usr/bin/ld
LDFLAGS =   -Wl,-export-dynamic
LDLIBS = $(ICU_LIBS) $(SYSTEM_LIBS) -lbluetooth -ldl -lpthread -lsupc++ 

MKSHR = $(CC) -shared  -o
MKREL = $(LD) -r -o
MKLIB = $(CC) -shared -Wl,-soname,<name> -o
CONFLIBDIR = /sbin/ldconfig -n
STRIP = /usr/bin/strip
RANLIB = /usr/bin/ranlib

AWK = gawk
SYMLINK = ln -s
DOXYGEN = /usr/bin/doxygen

PKG_CONFIG = /usr/bin/pkg-config
MSGMERGE = /usr/bin/msgmerge
MSGFMT = /usr/bin/msgfmt

INSTALL = /usr/bin/ginstall -c
INSTALL_SCRIPT = $(INSTALL)
INSTALL_PROGRAM = $(INSTALL_SCRIPT) -s
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_DIRECTORY = $(INSTALL) -d

ARC_PFX = lib
ARC_EXT = a
LIB_PFX = lib
LIB_EXT = so
MOD_NAME = libbrltty
MOD_EXT = so
LIB_VAR = LD_LIBRARY_PATH

prefix = 
exec_prefix = ${prefix}
datarootdir = ${prefix}/usr/share
bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${datarootdir}
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
includedir = ${prefix}/usr/include
oldincludedir = /usr/include
localedir = ${datarootdir}/locale
infodir = ${datarootdir}/info
mandir = ${datarootdir}/man
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
htmldir = ${docdir}
dvidir = ${docdir}
pdfdir = ${docdir}
psdir = ${docdir}

UPDATABLE_DIRECTORY = /var/lib/brltty
PROGRAM_DIRECTORY = ${exec_prefix}/bin
DRIVERS_DIRECTORY = ${exec_prefix}/lib/brltty
WRITABLE_DIRECTORY = ${prefix}/var/run/brltty
TABLES_DIRECTORY = ${prefix}/etc/brltty
MANPAGE_DIRECTORY = ${datarootdir}/man
INCLUDE_DIRECTORY = ${prefix}/usr/include/brltty
GDM_AUTOSTART_DIRECTORY = @gdm_autostart_directory@

MANUAL_DIRECTORIES =  Documents/Manual-BRLTTY/English Documents/Manual-BRLTTY/French Documents/Manual-BrlAPI/English

TEXT_TABLES_SUBDIRECTORY = Text
ATTRIBUTES_TABLES_SUBDIRECTORY = Attributes
CONTRACTION_TABLES_SUBDIRECTORY = Contraction
KEYBOARD_TABLES_SUBDIRECTORY = Keyboard
INPUT_TABLES_SUBDIRECTORY = Input

TEXT_TABLE_EXTENSION = .ttb
TEXT_SUBTABLE_EXTENSION = .tti

ATTRIBUTES_TABLE_EXTENSION = .atb
ATTRIBUTES_SUBTABLE_EXTENSION = .ati

CONTRACTION_TABLE_EXTENSION = .ctb
CONTRACTION_SUBTABLE_EXTENSION = .cti

KEY_TABLE_EXTENSION = .ktb
KEY_SUBTABLE_EXTENSION = .kti
KEY_HELP_EXTENSION = .txt

PROFILES_SUBDIRECTORY = Profiles
LANGUAGE_PROFILE_EXTENSION = .lpf

BRAILLE_DRIVER_CODES = al at ba bc bd bl bm bn cb ce ec eu fs hd hm ht hw ir ic lt mb md mm mn mt np pg pm sk tn ts tt vd vo vr vs bg
BRAILLE_DRIVER_NAMES = Alva Albatross BrlAPI BrailComm Braudi BrailleLite Baum BrailleNote CombiBraille Cebra EcoBraille EuroBraille FreedomScientific Hedo HIMS HandyTech HumanWare Iris Inceptor LogText MultiBraille MDV BrailleMemo MiniBraille Metec NinePoint Pegasus Papenmeier Seika TechniBraille TSI TTY VideoBraille Voyager Virtual VisioBraille B2G
BRAILLE_INTERNAL_DRIVER_CODES = 
BRAILLE_INTERNAL_DRIVER_NAMES = 
BRAILLE_EXTERNAL_DRIVER_CODES = al at ba bc bd bl bm bn cb ce ec eu fs hd hm ht hw ir ic lt mb md mm mn mt np pg pm sk tn ts tt vd vo vr vs bg
BRAILLE_EXTERNAL_DRIVER_NAMES = Alva Albatross BrlAPI BrailComm Braudi BrailleLite Baum BrailleNote CombiBraille Cebra EcoBraille EuroBraille FreedomScientific Hedo HIMS HandyTech HumanWare Iris Inceptor LogText MultiBraille MDV BrailleMemo MiniBraille Metec NinePoint Pegasus Papenmeier Seika TechniBraille TSI TTY VideoBraille Voyager Virtual VisioBraille B2G
BRAILLE_DRIVER_OBJECTS = 
BRAILLE_DRIVER_LIBRARIES = 
BRAILLE_DRIVERS = braille-drivers

LIBBRAILLE_ROOT = 

SPEECH_DRIVER_CODES = al bl cb es fv gs xs
SPEECH_DRIVER_NAMES = Alva BrailleLite CombiBraille eSpeak Festival GenericSay ExternalSpeech
SPEECH_INTERNAL_DRIVER_CODES = 
SPEECH_INTERNAL_DRIVER_NAMES = 
SPEECH_EXTERNAL_DRIVER_CODES = al bl cb es fv gs xs
SPEECH_EXTERNAL_DRIVER_NAMES = Alva BrailleLite CombiBraille eSpeak Festival GenericSay ExternalSpeech
SPEECH_DRIVER_OBJECTS = 
SPEECH_DRIVER_LIBRARIES = 
SPEECH_DRIVERS = speech-drivers

SCREEN_DRIVER_CODES = lx sc
SCREEN_DRIVER_NAMES = Linux Screen
SCREEN_INTERNAL_DRIVER_CODES = 
SCREEN_INTERNAL_DRIVER_NAMES = 
SCREEN_EXTERNAL_DRIVER_CODES = lx sc
SCREEN_EXTERNAL_DRIVER_NAMES = Linux Screen
SCREEN_DRIVER_OBJECTS = 
SCREEN_DRIVER_LIBRARIES = 
SCREEN_DRIVERS = screen-drivers

ESPEAK_ROOT = /usr
FLITE_ROOT = 
FLITE_LANGUAGE = 
FLITE_LEXICON = 
FLITE_VOICE = 
MIKROPUHE_ROOT = 
SPEECHD_INCLUDES = 
SPEECHD_LIBS = 
SWIFT_ROOT = 
THETA_ROOT = 
VIAVOICE_ROOT = 

INSTALL_TEXT_TABLES = install-text-tables
INSTALL_ATTRIBUTES_TABLES = install-attributes-tables
INSTALL_CONTRACTION_TABLES = install-contraction-tables
INSTALL_DRIVERS = install-drivers
INSTALL_MESSAGES = install-messages

TEXT_TABLE = en-nabcc
ATTRIBUTES_TABLE = left_right

CTB_OBJECTS = ctb_compile.$O ctb_translate.$O ctb_native.$O ctb_external.$O

SPEECH_OBJECT = spk.$O

API_VERSION = 0.6
API_RELEASE = 0.6.7
API_SERVER_OBJECTS = brlapi_server.$O brlapi_keyranges.$O auth.$O
API_LIBRARIES = -lpthread -lsupc++ 
ALL_API = all-api
BUILD_API = api
INSTALL_API = install-api
API_REF = $(API_LIBS)
API_DYNAMIC_LIBRARY = api-dynamic-library
INSTALL_API_LIBRARIES = install-api-libraries
UNINSTALL_API_LIBRARIES = uninstall-api-libraries
API_AUTHFILE = brlapi.key
API_SOCKET_DIRECTORY = ${prefix}/var/lib/BrlAPI

API_BINDINGS =  Lisp Python Tcl
ALL_API_BINDINGS = all-api-bindings
INSTALL_API_BINDINGS = install-api-bindings

ALL_XBRLAPI = 
INSTALL_XBRLAPI = 

ALL_BRLTTY_CTB = all-brltty-ctb
INSTALL_BRLTTY_CTB = install-brltty-ctb

